View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
18037Feature requestsPluginspublic2022-05-16 23:30
Reporterollehar Assigned Toollehar  
PrioritynoneSeverityfeature 
Status assignedResolutionopen 
Summary18037: Include LimeStore plugins in plugin lists view
Description

Add checkbox "Show LimeStore plugins" that includes plugins available (and compatible) from LimeStore, with one-click install

Risk:

  • Security issues? Man in the middle?

Must have:

[x] List free and available plugins
[x] Load list lazily
[x] Pagination
[x] One-click install
[ ] URL in internal.php config
[ ] Link to author page or limestore page
[ ] Update documentation in manual

Should have:

Could have:

[ ] Advertisement for plugin authors?

Won't have:

TagsNo tags attached.
Bug heat6

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

ollehar

ollehar

2022-04-14 16:27

administrator   ~69079

@DenisChenu Comments or ideas? I think this should be rather easy, since limestore already has an api you can call to check for version updates.

DenisChenu

DenisChenu

2022-04-14 19:21

developer   ~69081

Free limestore plugins only ?
I want to use limestore to sell my plugins …

DenisChenu

DenisChenu

2022-04-14 19:22

developer   ~69082

  • Security issues? Man in the middle?

HTTPS ? No ?
Yes : admin user can disable ssl confirmation but … it's the user.

and a config.php option for limestore url :D

ollehar

ollehar

2022-04-14 19:27

administrator   ~69083

Free plugins only, yes. LimeStore as a payment platform is not happening "soon", but we can still push the project forward in some ways. I think.

ollehar

ollehar

2022-04-14 19:28

administrator   ~69084

and a config.php option for limestore url :D

Yep, good idea! internal.php tho.

ollehar

ollehar

2022-05-12 20:36

administrator   ~69616

@Mazi and @DenisChenu, what about:

1) Include non-free extensions in LimeStore
2) Instead of "Download" button, they'll have a "Purchase" button on our web site
3) config.xml will include a purchase URL to redirect to, when you click the "Purchase" button
4) The plugin manager will be extended to list all plugins available in LimeStore, both free and non-free
5) Free plugins will be installed with one click; non-free will redirect to purchase link in config.xml (same behaviour as on LimeStore web site)
6) Purchased plugins will have a ZIP file, which can then be installed as any other plugin (or we come up with some way to certify a purchase non-centrally...)

This system would later be replaced by selling extensions on our site instead of whatever link in config.xml.

ollehar

ollehar

2022-05-12 21:57

administrator   ~69619

Example pic ("Install" button for free plugins, "Purchase" or "Buy" for others).

limestore.png (145,295 bytes)
DenisChenu

DenisChenu

2022-05-13 08:20

developer   ~69620

Oh … i need to update a lot here …

Mazi

Mazi

2022-05-13 09:54

updater   ~69623

@ollehar, as long as we can still not have paid plugins at LimeStore, adding a link to an external URL or contact page sounds like a good solution.

ollehar

ollehar

2022-05-13 15:57

administrator   ~69627

OK, so first step would be free plugin list in app, should be easy enough.

ollehar

ollehar

2022-05-13 21:49

administrator   ~69637

Got the install button to "work", but there are no plugins on limestore compatible with LS5. Would have to add one...

DenisChenu

DenisChenu

2022-05-14 11:20

developer   ~69638

I have some ,
PS : i like to have supportUrl + authorUrl in plugin and theme description

DenisChenu

DenisChenu

2022-05-14 11:21

developer   ~69639

@ollehar : for free plyugin limestore accept updaters by GIT ?
Can we make a try ?

ollehar

ollehar

2022-05-14 11:24

administrator   ~69640

Yes, I already paved the way architecturally to support multiple update sources. Let's make a separate ticket for that?

DenisChenu

DenisChenu

2022-05-16 08:07

developer   ~69644

OK :)
Let's make some try when i have a complete free plugin with update :)

ollehar

ollehar

2022-05-16 11:02

administrator   ~69651

Yeah, or I have to fix my last bugs in the MassAction plugin for LS5... To be continued.

DenisChenu

DenisChenu

2022-05-16 11:57

developer   ~69664

5.X compatible : https://account.limesurvey.org/account/limestore-developer-tools?view=extensiondeveloper&layout=edit&id=89

With an update fix to do tomorrow

ollehar

ollehar

2022-05-16 20:03

administrator   ~69683

OK Denis, I could now install you latest plugin, but the pagination is wrong for the gridview... Maybe some missing JS config.

ollehar

ollehar

2022-05-16 20:21

administrator   ~69684

Pagination fixed. Now for a proper error/success message...

ollehar

ollehar

2022-05-16 20:24

administrator   ~69685

Last edited: 2022-05-16 20:25

Messages fixed

Please test when you have time, Denis.

Issue History

Date Modified Username Field Change
2022-04-14 16:24 ollehar New Issue
2022-04-14 16:27 ollehar Note Added: 69079
2022-04-14 16:27 ollehar Bug heat 0 => 2
2022-04-14 19:21 DenisChenu Note Added: 69081
2022-04-14 19:21 DenisChenu Bug heat 2 => 4
2022-04-14 19:22 DenisChenu Note Added: 69082
2022-04-14 19:27 ollehar Note Added: 69083
2022-04-14 19:28 ollehar Note Added: 69084
2022-04-14 19:29 ollehar Description Updated
2022-05-12 20:36 ollehar Note Added: 69616
2022-05-12 21:57 ollehar Note Added: 69619
2022-05-12 21:57 ollehar File Added: limestore.png
2022-05-13 08:20 DenisChenu Note Added: 69620
2022-05-13 09:54 Mazi Note Added: 69623
2022-05-13 09:54 Mazi Bug heat 4 => 6
2022-05-13 15:57 ollehar Note Added: 69627
2022-05-13 21:49 ollehar Note Added: 69637
2022-05-13 21:50 ollehar Assigned To => ollehar
2022-05-13 21:50 ollehar Status new => assigned
2022-05-14 11:20 DenisChenu Note Added: 69638
2022-05-14 11:21 DenisChenu Note Added: 69639
2022-05-14 11:24 ollehar Note Added: 69640
2022-05-14 17:08 ollehar Description Updated
2022-05-16 08:07 DenisChenu Note Added: 69644
2022-05-16 11:02 ollehar Note Added: 69651
2022-05-16 11:57 DenisChenu Note Added: 69664
2022-05-16 20:03 ollehar Note Added: 69683
2022-05-16 20:21 ollehar Note Added: 69684
2022-05-16 20:24 ollehar Note Added: 69685
2022-05-16 20:25 ollehar Note Edited: 69685
2022-05-16 23:30 ollehar Description Updated